Index: uspace/srv/fs/fat/fat_directory.c
===================================================================
--- uspace/srv/fs/fat/fat_directory.c	(revision b2906c096fbedc1a9cbec10ad51c63e093dd375c)
+++ uspace/srv/fs/fat/fat_directory.c	(revision b7fd2a02e4161f4edd38548e7f8456b8021549be)
@@ -46,5 +46,5 @@
 #include <stdio.h>
 
-int fat_directory_open(fat_node_t *nodep, fat_directory_t *di)
+errno_t fat_directory_open(fat_node_t *nodep, fat_directory_t *di)
 {
 	di->b = NULL;
@@ -62,7 +62,7 @@
 }
 
-int fat_directory_close(fat_directory_t *di)
-{
-	int rc = EOK;
+errno_t fat_directory_close(fat_directory_t *di)
+{
+	errno_t rc = EOK;
 	
 	if (di->b)
@@ -72,8 +72,8 @@
 }
 
-static int fat_directory_block_load(fat_directory_t *di)
+static errno_t fat_directory_block_load(fat_directory_t *di)
 {
 	uint32_t i;
-	int rc;
+	errno_t rc;
 
 	i = (di->pos * sizeof(fat_dentry_t)) / BPS(di->bs);
@@ -98,7 +98,7 @@
 }
 
-int fat_directory_next(fat_directory_t *di)
-{
-	int rc;
+errno_t fat_directory_next(fat_directory_t *di)
+{
+	errno_t rc;
 
 	di->pos += 1;
@@ -110,7 +110,7 @@
 }
 
-int fat_directory_prev(fat_directory_t *di)
-{
-	int rc = EOK;
+errno_t fat_directory_prev(fat_directory_t *di)
+{
+	errno_t rc = EOK;
 	
 	if (di->pos > 0) {
@@ -126,8 +126,8 @@
 }
 
-int fat_directory_seek(fat_directory_t *di, aoff64_t pos)
+errno_t fat_directory_seek(fat_directory_t *di, aoff64_t pos)
 {
 	aoff64_t _pos = di->pos;
-	int rc;
+	errno_t rc;
 
 	di->pos = pos;
@@ -139,7 +139,7 @@
 }
 
-int fat_directory_get(fat_directory_t *di, fat_dentry_t **d)
-{
-	int rc;
+errno_t fat_directory_get(fat_directory_t *di, fat_dentry_t **d)
+{
+	errno_t rc;
 	
 	rc = fat_directory_block_load(di);
@@ -152,5 +152,5 @@
 }
 
-int fat_directory_read(fat_directory_t *di, char *name, fat_dentry_t **de)
+errno_t fat_directory_read(fat_directory_t *di, char *name, fat_dentry_t **de)
 {
 	fat_dentry_t *d = NULL;
@@ -160,5 +160,5 @@
 	int long_entry_count = 0;
 	uint8_t checksum = 0;
-	int rc;
+	errno_t rc;
 
 	void *data;
@@ -236,7 +236,7 @@
 }
 
-int fat_directory_erase(fat_directory_t *di)
-{
-	int rc;
+errno_t fat_directory_erase(fat_directory_t *di)
+{
+	errno_t rc;
 	fat_dentry_t *d;
 	bool flag = false;
@@ -267,7 +267,7 @@
 }
 
-int fat_directory_write(fat_directory_t *di, const char *name, fat_dentry_t *de)
-{
-	int rc;
+errno_t fat_directory_write(fat_directory_t *di, const char *name, fat_dentry_t *de)
+{
+	errno_t rc;
 	void *data;
 	fat_instance_t *instance;
@@ -348,5 +348,5 @@
 }
 
-int fat_directory_create_sfn(fat_directory_t *di, fat_dentry_t *de,
+errno_t fat_directory_create_sfn(fat_directory_t *di, fat_dentry_t *de,
     const char *lname)
 {
@@ -398,8 +398,8 @@
 }
 
-int fat_directory_write_dentry(fat_directory_t *di, fat_dentry_t *de)
+errno_t fat_directory_write_dentry(fat_directory_t *di, fat_dentry_t *de)
 {
 	fat_dentry_t *d;
-	int rc;
+	errno_t rc;
 
 	rc = fat_directory_get(di, &d);
@@ -412,7 +412,7 @@
 }
 
-int fat_directory_expand(fat_directory_t *di)
-{
-	int rc;
+errno_t fat_directory_expand(fat_directory_t *di)
+{
+	errno_t rc;
 	fat_cluster_t mcl, lcl;
 
@@ -444,10 +444,10 @@
 }
 
-int fat_directory_lookup_free(fat_directory_t *di, size_t count)
+errno_t fat_directory_lookup_free(fat_directory_t *di, size_t count)
 {
 	fat_dentry_t *d;
 	size_t found;
 	aoff64_t pos;
-	int rc;
+	errno_t rc;
 	
 	do {
@@ -485,5 +485,5 @@
 }
 
-int fat_directory_lookup_name(fat_directory_t *di, const char *name,
+errno_t fat_directory_lookup_name(fat_directory_t *di, const char *name,
     fat_dentry_t **de)
 {
@@ -506,5 +506,5 @@
 {
 	fat_dentry_t *d;
-	int rc;
+	errno_t rc;
 
 	fat_directory_seek(di, 0);
@@ -538,8 +538,8 @@
  * @return EOK on success, ENOENT if not found, EIO on I/O error
  */
-int fat_directory_vollabel_get(fat_directory_t *di, char *label)
+errno_t fat_directory_vollabel_get(fat_directory_t *di, char *label)
 {
 	fat_dentry_t *d;
-	int rc;
+	errno_t rc;
 
 	fat_directory_seek(di, 0);
